<!-- Property binding allow to change the attribute or properties of a html elements -->
<!-- Here the disabled attribute is only added to the element if allowedNewServer is false -->
<label>Server Name:</label>
<!-- <input type="text" class="form-control" (input)="onUpdateServerName($event)"> -->

<input 
    type="text" 
    class="form-control" 
    [(ngModel)]="serverName">

<p>{{ serverName }}</p>

<button 
    class="btn btn-primary" 
    [disabled]="!canAddNewServer()" 
    (click)="onCreateServer()">Add Server</button>

<!-- <p>{{ serverCreationStatus }}</p> -->

@if(serverWasCreated){
    <p>Server was created with the name {{ serverName }}</p>
}
@else{
    <p>No server was created</p>
}

<!-- <p *ngIf="serverWasCreated; else noServer">Server was created with the name {{ serverName }}.</p> -->

<!-- The template is created first and then referenced by the else -->
<!-- <ng-template #noServer>
    <p>No server was created.</p>
</ng-template>  -->

<div style="margin-top: 2rem">
    @for(server of servers; track server){
        <app-server></app-server>
    }
    <!-- <app-server *ngFor='let server of servers'></app-server> -->
</div>
<!-- <app-server></app-server> -->